## org.apache.batik.apps.rasterizer
Class SVGConverterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.batik.apps.rasterizer.SVGConverterException

All Implemented Interfaces:
  java.io.Serializable

public class SVGConverterException
extends java.lang.Exception

Describes an error condition in `SVGConverter`

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `errorCode` Error code
`protected java.lang.Object[]` `errorInfo` Additional information about the error condition
`protected boolean` `isFatal` Defines whether or not this is a fatal error condition

Constructor Summary
`SVGConverterException(java.lang.String errorCode)`
`SVGConverterException(java.lang.String errorCode, boolean isFatal)`
`SVGConverterException(java.lang.String errorCode, java.lang.Object[] errorInfo)`
`SVGConverterException(java.lang.String errorCode, java.lang.Object[] errorInfo, boolean isFatal)`

Method Summary
`java.lang.String` `getErrorCode()`
`java.lang.String` `getMessage()`
`boolean` `isFatal()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    protected java.lang.String errorCode

  Error code

### errorInfo

    protected java.lang.Object[] errorInfo

  Additional information about the error condition

### isFatal

    protected boolean isFatal

  Defines whether or not this is a fatal error condition

Constructor Detail

### SVGConverterException

    public SVGConverterException(java.lang.String errorCode)

### SVGConverterException

    public SVGConverterException(java.lang.String errorCode,
                                 java.lang.Object[] errorInfo)

### SVGConverterException

    public SVGConverterException(java.lang.String errorCode,
                                 java.lang.Object[] errorInfo,
                                 boolean isFatal)

### SVGConverterException

    public SVGConverterException(java.lang.String errorCode,
                                 boolean isFatal)

Method Detail

### isFatal

    public boolean isFatal()

### getMessage

    public java.lang.String getMessage()

### getErrorCode

    public java.lang.String getErrorCode()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.